Consenso all'uso dei cookies

SITO1 -- SITO2 -- Forum1 -- CercaGlobale -- Informativa su Cookie e Privacy


Valutazione discussione:
  • 0 voto(i) - 0 media
  • 1
  • 2
  • 3
  • 4
  • 5
[RISOLTO] Bloccare versione e pacchetto di CASPER anche aggiornanto da terminale??
#1
Ciao a tutti,
con Synaptic (Gestore pacchetti) in Linux Mint 17.3 ho retrocesso e bloccato casper per il problema di SYSTEMBACK...

Con Gestione aggiornamenti quindi, NON mi presenta la nuova versione di casper, ma se faccio:
"sudo apt-get update & upgrade" me lo presenta ed installa l'aggiornamento di casper!!

C'è modo di BLOCCARENE l'aggiornamento anche da terminale??
Cita messaggio
Grazie da:
#2
prova cosi e vedi

Codice:
echo 'Nome_pacchetto hold' | sudo dpkg --set-selections
 

a Nome_pacchetto metti il vero nome del pacchetto
Personalizzare Grub


Nu se peu sciuscià e sciurbì





Cita messaggio
Grazie da:
#3
allora, facendo:
Codice PHP:
sudo echo casper hold|sudo dpkg --set-selections
sudo apt
-get update
sudo apt
-get upgrade 

mi presenta ancora "casper" come pacchetto da aggiornare!! Per favore
Cita messaggio
Grazie da:
#4
Scusa, ma io ti avevo scritto di cambiare solo Nome_pacchetto, mentre hai scritto altro da  quello che ti avevo suggerito, intanto hai messo il sudo davanti e nel comando che ti ho scritto non cè, altra cosa non hai messo gli '' apici e non cè lo spazio tra hold | sudo perchè non fai copia/incolla ?
Codice:
echo 'casper hold' | sudo dpkg --set-selections

fai copia/incolla
Personalizzare Grub


Nu se peu sciuscià e sciurbì





Cita messaggio
Grazie da:
#5
comunque così, non dovrebbe aggiornarti dal terminale, ho provato ora con l'upgrade e avevo tra gli altri anche l'aggiornamento di google-chrome-stable come vedi nell'output

Citazione:I seguenti pacchetti saranno aggiornati:
  base-files google-chrome-stable initscripts libc-bin libc-dev-bin libc6
  libc6-dev libgraphite2-3 libnss3 libnss3-1d libnss3-nssdb multiarch-support
  oxideqt-codecs-extra sysv-rc sysvinit-utils thermald
16 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.
È necessario scaricare 56,7 MB di archivi.
Dopo quest'operazione, verranno occupati 9.216 B di spazio su disco.
Continuare? [S/n] n
Interrotto.

poi l'ho bloccato con quel comando (ma dato giusto, non come hai fatto tu) e l'ha bloccato come vedi nel nuovo upgrade

Citazione:~$ sudo apt-get upgrade
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Calcolo dell'aggiornamento... Eseguito
I seguenti pacchetti sono stati mantenuti alla versione attuale:
  google-chrome-stable
I seguenti pacchetti saranno aggiornati:
  base-files initscripts libc-bin libc-dev-bin libc6 libc6-dev libgraphite2-3
  libnss3 libnss3-1d libnss3-nssdb multiarch-support oxideqt-codecs-extra
  sysv-rc sysvinit-utils thermald
15 aggiornati, 0 installati, 0 da rimuovere e 1 non aggiornati.
È necessario scaricare 9.152 kB di archivi.
Dopo quest'operazione, verranno occupati 8.192 B di spazio su disco.
Continuare? [S/n] n
Interrotto.

quindi lascialo bloccato così e anche da gestore pacchetti.

se lo vuoi risbloccare

Codice:
echo 'casper install' | sudo dpkg --set-selections
Personalizzare Grub


Nu se peu sciuscià e sciurbì





Cita messaggio
Grazie da:


Vai al forum:


Utenti che stanno guardando questa discussione: 1 Ospite(i)